doctype html
html(lang="en")
  head
    meta(charset="utf-8")
    meta(name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no")
    link(href=basePath + "/vendor/bootstrap.min.css" rel="stylesheet")
    link(href=basePath + "/vendor/fa/css/fontawesome.min.css" rel="stylesheet")
    link(href=basePath + "/vendor/fa/css/solid.min.css" rel="stylesheet")
    link(href=basePath + "/vendor/fa/css/regular.min.css" rel="stylesheet")

    title Example SSVG engine Vue.js integration
  body
    script(src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js")

    .container.pt-3
      h3
        span Vue.js integration example
        span.float-right
          a.far.fa-caret-square-left.text-muted.align-text-bottom(href=basePath + '/')
      .card
        .card-body
          #template
            input.custom-input.w-100#input(type="range" value="0" v-model='range')
            svg#element(ref='svg' width="100%" xmlns="http://www.w3.org/2000/svg" height="40%")
              state
                transition(duration='.2')
                property(name="range" min="0" max="100" type="number" initial="0")
                  relation(query-selector='#rect2' attribute-name='width' from='100%' to='0%')
                  relation(query-selector='#rect1' attribute-name='width' from='0%' to='100%')
                  relation(query-selector='#rect1' attribute-name='fill' to='blue')

              rect(id="rect1" width="10%" height="20%" fill='black' stroke='black')
              rect(id="rect2" y="20%" width="10%" height="20%" fill='red' stroke='black')

      script(src=basePath + "/dist/ssvg-engine.js")
      script.
        document.addEventListener('DOMContentLoaded', function () {
          new Vue({
            el: '#template',
            ssvg: null,
            data: { range: 0 },
            watch: {
              range() { this.ssvg.updateState(this.$data); }
            },
            mounted() {
              this.ssvg = new window.ssvg.SSVGEngine(this.$refs.svg);
            },
            beforeDestroy() {
              this.ssvg.disconnect();
            }
          });
        });
      
      style.
        a.far, a.fa, a.fas {
          text-decoration: none;
          color: black;
        }

        a.fa:hover, a.far:hover, a.fas:hover {
          background-color: none;
          color: black !important;
        }